Bug 20667 - Update two-column templates with Bootstrap grid: Acquisitions part 1
Summary: Update two-column templates with Bootstrap grid: Acquisitions part 1
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14546 20654 21163
  Show dependency treegraph
 
Reported: 2018-04-26 18:27 UTC by Owen Leonard
Modified: 2018-08-06 15:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20667: Update two-column templates with Bootstrap grid: Acquisitions part 1 (8.05 KB, patch)
2018-04-26 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20667: Update two-column templates with Bootstrap grid: Acquisitions part 1 (11.42 KB, patch)
2018-05-01 13:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20667: Update two-column templates with Bootstrap grid: Acquisitions part 1 (11.56 KB, patch)
2018-05-02 01:13 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 20667: Update two-column templates with Bootstrap grid: Acquisitions part 1 (11.59 KB, patch)
2018-06-03 08:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-04-26 18:27:48 UTC
This patch will convert several acquisitions templates to use the Bootstrap grid:

acqui/acqui-home.tt
acqui/basketgroup.tt
acqui/booksellers.tt
acqui/edifactmsgs.tt
acqui/edimsg.tt
Comment 1 Owen Leonard 2018-04-26 18:36:16 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2018-04-27 13:12:53 UTC
Hi Owen,

On 'Edit basket group',label for "Baskets in this group:" is not on the grid. It's something we already have, I'm not sure your patch is supposed to fix it, but as the gap is bigger now, I prefer mention it.
I didn't test for Edifact messages.

Except these 2 points, display seemed good to me.
I prefer not sign the patch to let someone else test it too.
Comment 3 Owen Leonard 2018-05-01 13:34:15 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2018-05-01 13:36:05 UTC
(In reply to Séverine Queune from comment #2)
> On 'Edit basket group',label for "Baskets in this group:" is not on the
> grid. It's something we already have, I'm not sure your patch is supposed to
> fix it

My patch is not intended to fix it. There are other pending patches for this template and I want to limit what areas I modify.
Comment 5 Dilan Johnpullé 2018-05-02 01:13:36 UTC
Created attachment 74959 [details] [review]
Bug 20667: Update two-column templates with Bootstrap grid: Acquisitions part 1

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions -> Home page
- Acquisitions -> Vendor search results
- Acquisitions -> Vendor -> Basket groups
  -> Edit
- Acquisitions -> EDIFACT messages
  -> View EDIFACT message

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 6 Katrin Fischer 2018-06-03 08:14:50 UTC
Created attachment 75748 [details] [review]
Bug 20667: Update two-column templates with Bootstrap grid: Acquisitions part 1

This patch modifies several acquisitions templates to use the Bootstrap
grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

- Acquisitions -> Home page
- Acquisitions -> Vendor search results
- Acquisitions -> Vendor -> Basket groups
  -> Edit
- Acquisitions -> EDIFACT messages
  -> View EDIFACT message

Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2018-06-03 08:16:04 UTC
Found a permission problem while testing this, filed and fixed on bug 20861.
Comment 8 Nick Clemens 2018-07-06 14:46:54 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-07-10 08:23:36 UTC
I love this update :)

Enhancement, not backporting to 18.05.x series.